[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Apache 1.3.6-9, doesn't seem to compile?

At 16:00 +0200 1999-05-01, J.H.M. Dassen wrote:
On Sat, May 01, 1999 at 14:53:51 +0200, Michel Onstein wrote:
It breaks when it tries to compile the debian-contrib'ed mod_throttle.
It can't find a part of the semaphore stuff that's needed (union semun).

union semun is defined in <bits/sem.h>.

No it's not, it is not defined, because the standards require that the program define it itself.
glibc 2.0 defined it by mistake.
The apache maintainer does not run glibc 2.1, which is why he has not been affected.
Joel Klecker (aka Espy)                    Debian GNU/Linux Developer
<URL:mailto:jk@espy.org>                 <URL:mailto:espy@debian.org>
<URL:http://web.espy.org/>               <URL:http://www.debian.org/>

Reply to: